@import './variables.scss';
@import 'bootstrap/scss/bootstrap';

html, body, #root {
  height: 100%;
  font-family: $font-family-base;
  font-size: 15px;
}

main {
  overflow: scroll;
}

section {
  margin: 0 -1rem;
  padding: 1em 1em 0.5em 1rem;
}

.card {
  border: none;
  background: none;
}

.text-A {
  color: $a !important;
}

.text-B {
  color: $b !important;
}

.text-C {
  color: $c !important;
}

.text-D {
  color: $d !important;
}

.text-N {
  color: $n !important;
}

.background-A {
  background-color: $a !important;
  fill: $a !important;
}

.background-B {
  background-color: $b !important;
  fill: $b !important;
}

.background-C {
  background-color: $c !important;
  fill: $c !important;
}

.background-D {
  background-color: $d !important;
  fill: $d !important;
}

.background-N {
  background-color: $n !important;
  fill: $n !important;
}

.circle-score {
  display: inline-block;
  width: 1.25em;
  height: 1.25em;
  margin-right: 0.75em;
  border-radius: 50%;
  vertical-align: middle;
  border: 1px solid $black;
  fill-opacity: 1;
  stroke: $black;
  stroke-opacity: 0.5;
  stroke-width: 1;
}

.breadcrumb-item + .breadcrumb-item::before {
  color: inherit;
}

.font-sm {
  font-size: 0.8rem;
}

@media print {
  .container {
    width: auto;
  }

  main {
    overflow: visible;
  }

  a {
    color: $dark;
    text-decoration: none;

    &:not(.btn) {
      text-decoration: none;
    }
  }

  .page-break {
    break-before: page;
  }
}
